Bug 156918 - Fatal server error: no screens found
Fatal server error: no screens found
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: XFree86 (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-05 07:31 EDT by prasath
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-06 02:36:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
I have attached the log & conf file for the error. (12.10 KB, text/plain)
2005-05-05 07:31 EDT, prasath
no flags Details

  None (edit)
Description prasath 2005-05-05 07:31:35 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Hello, Linux champions
I'm trying to install Redhat Enterprice Linux AS V4 in my Home PC (AMD Processor
with LG Moniter).  During the initial phase of install I got the error "Monitor
outoff frequency".  So I have selected the install type as text mode and did the
installation.  Afer my sucessfull installation when I try to start my Xserver in
my PC with "startx" command, I'm getting the Xfree86 error (which is given below)

XFree86 Version 4.3.0 (Red Hat Enterprise Linux release: 4.3.0-35.EL)
Release Date: 15 August 2003
X Protocol Version 11, Revision 0, Release 6.6
Build Operating System: Linux 2.4.21-2.ELsmp i686 [ELF] 
Build Date: 03 October 2003
Build Host: daffy.perf.redhat.com
 
	Before reporting any problems, please make sure you are using the most
	recent XFree86 packages available from Red Hat by checking for updates
	at http://rhn.redhat.com/errata or by using the Red Hat Network up2date
	tool.  If you still encounter problems, please file bug reports in the
	XFree86.org bugzilla at http://bugs.xfree86.org and/or Red Hat
	bugzilla at http://bugzilla.redhat.com

Module Loader present
OS Kernel: Linux version 2.4.21-4.EL (bhcompile@daffy.perf.redhat.com) (gcc
version 3.2.3 20030502 (Red Hat Linux 3.2.3-20)) #1 Fri Oct 3 17:52:56 EDT 2003 
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/XFree86.0.log", Time: Wed Apr 20 18:47:22 2005
(==) Using config file: "/etc/X11/XF86Config"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Videocard0"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbRules" "xfree86"
(**) XKB: rules: "xfree86"
(**) Option "XkbModel" "pc105"
(**) XKB: model: "pc105"
(**) Option "XkbLayout" "us"
(**) XKB: layout: "us"
(==) Keyboard: CustomKeycode disabled
(**) |-->Input Device "DevInputMice"
(**) FontPath set to "unix/:7100"
(**) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(II) Open APM successful
(II) Module ABI versions:
	XFree86 ANSI C Emulation: 0.2
	XFree86 Video Driver: 0.6
	XFree86 XInput driver : 0.4
	XFree86 Server Extension : 0.2
	XFree86 Font Renderer : 0.4
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.0.0
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.4
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.6
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x8000003c, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 1106,3116 card 1106,3116 rev 00 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 1106,b091 card 0000,0000 rev 00 class 06,04,00 hdr 01
(II) PCI: 00:06:0: chip 134d,2189 card 134d,1002 rev 03 class 07,03,00 hdr 00
(II) PCI: 00:10:0: chip 1106,3038 card 1106,3038 rev 80 class 0c,03,00 hdr 80
(II) PCI: 00:10:1: chip 1106,3038 card 1106,3038 rev 80 class 0c,03,00 hdr 80
(II) PCI: 00:10:2: chip 1106,3038 card 1106,3038 rev 80 class 0c,03,00 hdr 80
(II) PCI: 00:10:3: chip 1106,3104 card 1462,3901 rev 82 class 0c,03,20 hdr 00
(II) PCI: 00:11:0: chip 1106,3177 card 1106,3177 rev 00 class 06,01,00 hdr 80
(II) PCI: 00:11:1: chip 1106,0571 card 1462,3901 rev 06 class 01,01,8a hdr 00
(II) PCI: 00:11:5: chip 1106,3059 card 1462,3901 rev 50 class 04,01,00 hdr 00
(II) PCI: 01:00:0: chip 5333,8d04 card 1462,3908 rev 00 class 03,00,00 hdr 00
(II) PCI: End of PCI scan
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,1), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x000c (VGA_EN is set)
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0	0xe0000000 - 0xe1ffffff (0x2000000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0	0xd8000000 - 0xdfffffff (0x8000000) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:17:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(--) PCI:*(1:0:0) S3 Inc. [ProSavageDDR K4M266] rev 0, Mem @ 0xe1000000/19,
0xd8000000/27
(II) Addressable bus resource ranges are
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) PCI Memory resource overlap reduced 0xd0000000 from 0xd7ffffff to 0xcfffffff
(II) Active PCI resource ranges:
	[0] -1	0	0xe2001000 - 0xe20010ff (0x100) MX[B]
	[1] -1	0	0xe2000000 - 0xe2000fff (0x1000) MX[B]
	[2] -1	0	0xd0000000 - 0xcfffffff (0x0) MX[B]O
	[3] -1	0	0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
	[4] -1	0	0xe1000000 - 0xe107ffff (0x80000) MX[B](B)
	[5] -1	0	0x0000b400 - 0x0000b4ff (0x100) IX[B]
	[6] -1	0	0x0000b000 - 0x0000b00f (0x10) IX[B]
	[7] -1	0	0x0000ac00 - 0x0000ac1f (0x20) IX[B]
	[8] -1	0	0x0000a800 - 0x0000a81f (0x20) IX[B]
	[9] -1	0	0x0000a400 - 0x0000a41f (0x20) IX[B]
	[10] -1	0	0x0000a000 - 0x0000a0ff (0x100) IX[B]
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0	0xe2001000 - 0xe20010ff (0x100) MX[B]
	[1] -1	0	0xe2000000 - 0xe2000fff (0x1000) MX[B]
	[2] -1	0	0xd0000000 - 0xcfffffff (0x0) MX[B]O
	[3] -1	0	0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
	[4] -1	0	0xe1000000 - 0xe107ffff (0x80000) MX[B](B)
	[5] -1	0	0x0000b400 - 0x0000b4ff (0x100) IX[B]
	[6] -1	0	0x0000b000 - 0x0000b00f (0x10) IX[B]
	[7] -1	0	0x0000ac00 - 0x0000ac1f (0x20) IX[B]
	[8] -1	0	0x0000a800 - 0x0000a81f (0x20) IX[B]
	[9] -1	0	0x0000a400 - 0x0000a41f (0x20) IX[B]
	[10] -1	0	0x0000a000 - 0x0000a0ff (0x100) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0xe2001000 - 0xe20010ff (0x100) MX[B]
	[6] -1	0	0xe2000000 - 0xe2000fff (0x1000) MX[B]
	[7] -1	0	0xd0000000 - 0xcfffffff (0x0) MX[B]O
	[8] -1	0	0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
	[9] -1	0	0xe1000000 - 0xe107ffff (0x80000) MX[B](B)
	[10] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[11] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[12] -1	0	0x0000b400 - 0x0000b4ff (0x100) IX[B]
	[13] -1	0	0x0000b000 - 0x0000b00f (0x10) IX[B]
	[14] -1	0	0x0000ac00 - 0x0000ac1f (0x20) IX[B]
	[15] -1	0	0x0000a800 - 0x0000a81f (0x20) IX[B]
	[16] -1	0	0x0000a400 - 0x0000a41f (0x20) IX[B]
	[17] -1	0	0x0000a000 - 0x0000a0ff (0x100) IX[B]
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "fbdevhw"
(II) Loading /usr/X11R6/lib/modules/linux/libfbdevhw.a
(II) Module fbdevhw: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 0.0.2
	ABI class: XFree86 Video Driver, version 0.6
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.13.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension RECORD
(II) LoadModule: "freetype"
(II) Loading /usr/X11R6/lib/modules/fonts/libfreetype.a
(II) Module freetype: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 2.0.2
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.4
(II) Loading font FreeType
(II) LoadModule: "type1"
(II) Loading /usr/X11R6/lib/modules/fonts/libtype1.a
(II) Module type1: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.0.2
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.4
(II) Loading font Type1
(II) Loading font CID
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension XFree86-DRI
(II) LoadModule: "savage"
(II) Loading /usr/X11R6/lib/modules/drivers/savage_drv.o
(II) Module savage: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.1.27
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.6
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.0.0
	Module class: XFree86 XInput Driver
	ABI class: XFree86 XInput driver, version 0.4
(II) SAVAGE: driver (version 1.1.27mh) for S3 Savage chipsets: Savage4,
	Savage3D, Savage3D-MV, Savage2000, Savage/MX-MV, Savage/MX,
	Savage/IX-MV, Savage/IX, ProSavage PM133, ProSavage KM133,
	Twister PN133, Twister KN133, SuperSavage/MX 128, SuperSavage/MX 64,
	SuperSavage/MX 64C, SuperSavage/IX 128, SuperSavage/IX 128,
	SuperSavage/IX 64, SuperSavage/IX 64, SuperSavage/IXC 64,
	SuperSavage/IXC 64, ProSavage DDR, ProSavage DDR-K
(II) Primary Device is: PCI 01:00:0
(--) Assigning device section with no busID to primary device
(--) Chipset ProSavage found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0xe2001000 - 0xe20010ff (0x100) MX[B]
	[6] -1	0	0xe2000000 - 0xe2000fff (0x1000) MX[B]
	[7] -1	0	0xd0000000 - 0xcfffffff (0x0) MX[B]O
	[8] -1	0	0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
	[9] -1	0	0xe1000000 - 0xe107ffff (0x80000) MX[B](B)
	[10] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[11] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[12] -1	0	0x0000b400 - 0x0000b4ff (0x100) IX[B]
	[13] -1	0	0x0000b000 - 0x0000b00f (0x10) IX[B]
	[14] -1	0	0x0000ac00 - 0x0000ac1f (0x20) IX[B]
	[15] -1	0	0x0000a800 - 0x0000a81f (0x20) IX[B]
	[16] -1	0	0x0000a400 - 0x0000a41f (0x20) IX[B]
	[17] -1	0	0x0000a000 - 0x0000a0ff (0x100) IX[B]
(II) resource ranges after probing:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0xe2001000 - 0xe20010ff (0x100) MX[B]
	[6] -1	0	0xe2000000 - 0xe2000fff (0x1000) MX[B]
	[7] -1	0	0xd0000000 - 0xcfffffff (0x0) MX[B]O
	[8] -1	0	0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
	[9] -1	0	0xe1000000 - 0xe107ffff (0x80000) MX[B](B)
	[10] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[11] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[12] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[13] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[14] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[15] -1	0	0x0000b400 - 0x0000b4ff (0x100) IX[B]
	[16] -1	0	0x0000b000 - 0x0000b00f (0x10) IX[B]
	[17] -1	0	0x0000ac00 - 0x0000ac1f (0x20) IX[B]
	[18] -1	0	0x0000a800 - 0x0000a81f (0x20) IX[B]
	[19] -1	0	0x0000a400 - 0x0000a41f (0x20) IX[B]
	[20] -1	0	0x0000a000 - 0x0000a0ff (0x100) IX[B]
	[21] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[22] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.6
(**) SAVAGE(0): Depth 24, (--) framebuffer bpp 32
(==) SAVAGE(0): RGB weight 888
(==) SAVAGE(0): Default visual is TrueColor
(II) SAVAGE(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(==) SAVAGE(0): Using HW cursor
(==) SAVAGE(0): Using video BIOS to set modes
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.6
(II) SAVAGE(0): Primary V_BIOS segment is: 0xc000
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.1.0
	ABI class: XFree86 Video Driver, version 0.6
(II) SAVAGE(0): VESA BIOS detected
(II) SAVAGE(0): VESA VBE Version 3.0
(II) SAVAGE(0): VESA VBE Total Mem: 31680 kB
(II) SAVAGE(0): VESA VBE OEM: S3 Graphics ProSavage DDR Family BIOS
(II) SAVAGE(0): VESA VBE OEM Software Rev: 2.0
(II) SAVAGE(0): VESA VBE OEM Vendor: S3 Garphics Incorporated.
(II) SAVAGE(0): VESA VBE OEM Product: VBE 3.0
(II) SAVAGE(0): VESA VBE OEM Product Rev: Rev 0.0
(--) SAVAGE(0): Chip: id 8d04, "ProSavage DDR-K"
(--) SAVAGE(0): Engine: "ProSavage"
(--) SAVAGE(0): mapping MMIO @ 0xe1000000 with size 0x80000
(==) SAVAGE(0): Using gamma correction (1.0, 1.0, 1.0)
(--) SAVAGE(0): probed videoram:  32768k
(--) SAVAGE(0): Detected current MCLK value of 14.318 MHz
(II) SAVAGE(0): Monitor0: Using hsync range of 20.00-30.00 kHz
(II) SAVAGE(0): Monitor0: Using vrefresh range of 35.00-105.00 Hz
(II) SAVAGE(0): Clock range:  10.00 to 220.00 MHz
(II) SAVAGE(0): Not using default mode "640x350" (hsync out of range)
(II) SAVAGE(0): Not using default mode "320x175" (hsync out of range)
(II) SAVAGE(0): Not using default mode "640x400" (hsync out of range)
(II) SAVAGE(0): Not using default mode "320x200" (hsync out of range)
(II) SAVAGE(0): Not using default mode "720x400" (hsync out of range)
(II) SAVAGE(0): Not using default mode "360x200" (hsync out of range)
(II) SAVAGE(0): Not using default mode "640x480" (hsync out of range)
(II) SAVAGE(0): Not using default mode "320x240" (hsync out of range)
(II) SAVAGE(0): Not using default mode "640x480" (hsync out of range)
(II) SAVAGE(0): Not using default mode "320x240" (hsync out of range)
(II) SAVAGE(0): Not using default mode "640x480" (hsync out of range)
(II) SAVAGE(0): Not using default mode "320x240" (hsync out of range)
(II) SAVAGE(0): Not using default mode "640x480" (hsync out of range)
(II) SAVAGE(0): Not using default mode "320x240" (hsync out of range)
(II) SAVAGE(0): Not using default mode "800x600" (hsync out of range)
(II) SAVAGE(0): Not using default mode "400x300" (hsync out of range)
(II) SAVAGE(0): Not using default mode "800x600" (hsync out of range)
(II) SAVAGE(0): Not using default mode "400x300" (hsync out of range)
(II) SAVAGE(0): Not using default mode "800x600" (hsync out of range)
(II) SAVAGE(0): Not using default mode "400x300" (hsync out of range)
(II) SAVAGE(0): Not using default mode "800x600" (hsync out of range)
(II) SAVAGE(0): Not using default mode "400x300" (hsync out of range)
(II) SAVAGE(0): Not using default mode "800x600" (hsync out of range)
(II) SAVAGE(0): Not using default mode "400x300" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1024x768" (hsync out of range)
(II) SAVAGE(0): Not using default mode "512x384" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1024x768" (hsync out of range)
(II) SAVAGE(0): Not using default mode "512x384" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1024x768" (hsync out of range)
(II) SAVAGE(0): Not using default mode "512x384" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1024x768" (hsync out of range)
(II) SAVAGE(0): Not using default mode "512x384" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1024x768" (hsync out of range)
(II) SAVAGE(0): Not using default mode "512x384" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1152x864" (hsync out of range)
(II) SAVAGE(0): Not using default mode "576x432" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1280x960" (hsync out of range)
(II) SAVAGE(0): Not using default mode "640x480" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1280x960" (hsync out of range)
(II) SAVAGE(0): Not using default mode "640x480" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1280x1024" (hsync out of range)
(II) SAVAGE(0): Not using default mode "640x512" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1280x1024" (hsync out of range)
(II) SAVAGE(0): Not using default mode "640x512" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1280x1024" (hsync out of range)
(II) SAVAGE(0): Not using default mode "640x512" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1600x1200" (hsync out of range)
(II) SAVAGE(0): Not using default mode "800x600" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1600x1200" (hsync out of range)
(II) SAVAGE(0): Not using default mode "800x600" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1600x1200" (hsync out of range)
(II) SAVAGE(0): Not using default mode "800x600" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1600x1200" (hsync out of range)
(II) SAVAGE(0): Not using default mode "800x600" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1600x1200" (bad mode
clock/interlace/doublescan)
(II) SAVAGE(0): Not using default mode "800x600" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1792x1344" (hsync out of range)
(II) SAVAGE(0): Not using default mode "896x672" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1792x1344" (bad mode
clock/interlace/doublescan)
(II) SAVAGE(0): Not using default mode "896x672" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1856x1392" (hsync out of range)
(II) SAVAGE(0): Not using default mode "928x696" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1856x1392" (bad mode
clock/interlace/doublescan)
(II) SAVAGE(0): Not using default mode "928x696" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1920x1440" (bad mode
clock/interlace/doublescan)
(II) SAVAGE(0): Not using default mode "960x720" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1920x1440" (bad mode
clock/interlace/doublescan)
(II) SAVAGE(0): Not using default mode "960x720" (hsync out of range)
(II) SAVAGE(0): Not using default mode "832x624" (hsync out of range)
(II) SAVAGE(0): Not using default mode "416x312" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1152x768" (hsync out of range)
(II) SAVAGE(0): Not using default mode "576x384" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1152x864" (hsync out of range)
(II) SAVAGE(0): Not using default mode "576x432" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1400x1050" (hsync out of range)
(II) SAVAGE(0): Not using default mode "700x525" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1400x1050" (hsync out of range)
(II) SAVAGE(0): Not using default mode "700x525" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1400x1050" (hsync out of range)
(II) SAVAGE(0): Not using default mode "700x525" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1400x1050" (hsync out of range)
(II) SAVAGE(0): Not using default mode "700x525" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1600x1024" (hsync out of range)
(II) SAVAGE(0): Not using default mode "800x512" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1920x1200" (bad mode
clock/interlace/doublescan)
(II) SAVAGE(0): Not using default mode "960x600" (hsync out of range)
(II) SAVAGE(0): Not using default mode "1920x1440" (bad mode
clock/interlace/doublescan)
(II) SAVAGE(0): Not using default mode "960x720" (hsync out of range)
(II) SAVAGE(0): Not using default mode "2048x1536" (bad mode
clock/interlace/doublescan)
(II) SAVAGE(0): Not using default mode "1024x768" (hsync out of range)
(II) SAVAGE(0): Not using default mode "2048x1536" (bad mode
clock/interlace/doublescan)
(II) SAVAGE(0): Not using default mode "1024x768" (hsync out of range)
(II) SAVAGE(0): Not using default mode "2048x1536" (bad mode
clock/interlace/doublescan)
(II) SAVAGE(0): Not using default mode "1024x768" (hsync out of range)
(WW) SAVAGE(0): Mode pool is empty
(EE) SAVAGE(0): No valid modes found
(II) UnloadModule: "savage"
(II) UnloadModule: "vbe"
(II) Unloading /usr/X11R6/lib/modules/libvbe.a
(II) UnloadModule: "int10"
(II) Unloading /usr/X11R6/lib/modules/linux/libint10.a
(II) UnloadModule: "vgahw"
(II) Unloading /usr/X11R6/lib/modules/libvgahw.a
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found

If you encounter a server crash, please report the problem by filing a bug
report in the XFree86.org bugzilla at http://bugs.xfree86.org and/or Red Hat
bugzilla at http://bugzilla.redhat.com/bugzilla.  When filing your report, it
is very important that you explain your problem in as much detail as possible,
and include a complete description on how to reproduce the problem.  After
submitting the bug report, attach the following files as uncompressed
individual file attachments using the bugzilla file attachment feature:
	- X server log file: /var/log/XFree86.0.log
	- X server config file: /etc/X11/XF86Config
	- Kernel log file: /var/log/messages

Could you pls help me how to get the screen.

Thanks
Prasath C
Comment 1 prasath 2005-05-05 07:31:36 EDT
Created attachment 114049 [details]
I have attached the log & conf file for the error.
Comment 2 Suzanne Hillman 2005-05-05 14:00:00 EDT
This looks like something for which you would be best off going through support,
as bugzilla is a bug reporting mechanism, and not a support mechanism.

Please go to http://www.redhat.com/support and log in, or (if within the US)
call 800-REDHAT1. If not within the US, the appropriate number to call is
available after you've logged in to the URL I gave above.
Comment 4 Mike A. Harris 2005-05-06 02:36:39 EDT
Hi prasath,

You've filed this problem against RHEL 4, claiming you are using "Redhat
Enterprice Linux AS V4", however the X server log file you've attached is
the XFree86 version included in the very original release of RHEL 3, not
RHEL 4.

As mentioned by Suzanne above, Red Hat Enterprise Linux support is provided
by Red Hat Global Support Services, which you can access by logging into
the Red Hat Support website at http://www.redhat.com/apps/support, or
if you have telephone based support option, by calling 1-888-RED-HAT1 to
talk to a support representative.  I believe the 1-800 number above is
a typo.

Bugzilla is a defect tracking tool only, and not a RHEL support
mechanism.  I recommend contacting Red Hat support services directly
for technical support with this issue.


Note You need to log in before you can comment on or make changes to this bug.